import { PortletActionBarProvider } from './portlet-action-bar-provider';
import { PortletAppmenuProvider } from './portlet-appmenu-provider';
import { PortletChartProvider } from './portlet-chart-provider';
import { PortletContainerProvider } from './portlet-container-provider';
import { PortletCustomProvider } from './portlet-custom-provider';
import { PortletHtmlProvider } from './portlet-html-provider';
import { PortletListProvider } from './portlet-list-provider';
import { PortletRawItemProvider } from './portlet-raw-item-provider';
import { PortletToolbarProvider } from './portlet-toolbar-provider';
import { PortletViewProvider } from './portlet-view-provider';

/**
 * 预置默认的表单成员适配器
 *
 * @author lxm
 * @date 2022-09-19 22:09:50
 * @export
 */
export function presetPortletPartProvider(): void {
  const { portletPart } = ibiz.register;
  if (!portletPart) {
    return;
  }
  // 实体列表
  portletPart.register('LIST', new PortletListProvider());
  // 实体图表
  portletPart.register('CHART', new PortletChartProvider());
  // 系统视图
  portletPart.register('VIEW', new PortletViewProvider());
  // 网页部件
  portletPart.register('HTML', new PortletHtmlProvider());
  // 工具栏
  portletPart.register('TOOLBAR', new PortletToolbarProvider());
  // 操作栏
  portletPart.register('ACTIONBAR', new PortletActionBarProvider());
  // 自定义
  portletPart.register('CUSTOM', new PortletCustomProvider());
  // 快捷菜单
  portletPart.register('APPMENU', new PortletAppmenuProvider());
  // 直接内容
  portletPart.register('RAWITEM', new PortletRawItemProvider());
  // 布局容器
  portletPart.register('CONTAINER', new PortletContainerProvider());
}

export {
  PortletActionBarProvider,
  PortletAppmenuProvider,
  PortletChartProvider,
  PortletContainerProvider,
  PortletCustomProvider,
  PortletHtmlProvider,
  PortletListProvider,
  PortletRawItemProvider,
  PortletToolbarProvider,
  PortletViewProvider,
};
